<?php
###########################
#Скрипт: Топ-Рейтинг	  #
#Автор: SL_NeKrOmAnT      #
#Версия: 1.2.2(Free)      #
#ICQ: 313886              #
#MAIL: maloy_s95@mail.ru  #
###########################
define('NTOP', 1);
$title = 'Категории';
require_once ('../system/connect.php');
require_once ('../system/core.php');
require_once ('../system/function.php');
require_once ('head.php');
switch($act)
	{
		default:
		echo '<div class="title"><a href="http://'.$set['home'].'/index.php">TOP-100</a> | <strong>Категории</strong> | <a href="http://'.$set['home'].'/str/ban.php">БАН - Лист</a><br/></div>';
		$cats = mysql_query("SELECT * FROM `".$prefix."cat` ORDER BY `position`");
		while($cat = mysql_fetch_array($cats))
			{
				$count_sites = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `category` = '".$cat['id']."' AND `status` = '1'"));
				echo '<div class = "menu">';
				echo '<a href = "http://'.$set['home'].'/str/cat.php?act=view&id='.$cat['id'].'">'.$cat['name'].'</a> [Сайтов: <strong>'.$count_sites.'</strong>]<br/>';
				if(!empty($cat['about']))
					{
						echo '---<br/>';
						echo '<small>'.$cat['about'].'</small>';
					}
				echo '</div>';
			}
		break;
		case 'view':
		$isset = mysql_query("SELECT * FROM `".$prefix."cat` WHERE `id` = '".$id."'");
		if(mysql_num_rows($isset) > 0)
			{
				$catt = mysql_fetch_array($isset);
				echo '<div class="title2">Сайты категории <a href="http://'.$set['home'].'/str/cat.php?act=view&id='.$catt['id'].'">'.$catt['name'].'</a></div>';
				$count = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `category` = '".$id."' AND `status` = '1' AND `ban` = '0'"));
				if($count > 0)
					{
						$total=intval(($count-1)/$page_sait)+1; 
						$page=abs(intval($_GET['page'])); 
						if(empty($page) OR $page < 0)
							{
								$page = 1; 
							}
						if($page > $total)
							{
								$page = $total; 
							}
						$past=intval($count/$page_sait);  
						$start=$page*$page_sait-$page_sait; 
						$saits = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `category` = '".$id."' AND `status` = '1' AND `ban` = '0' ORDER BY `hosts` DESC LIMIT ".$start.",".$page_sait."");
						while($row = mysql_fetch_array($saits)) 
							{
								$start++;
								$img = file_exists('../images/'.$start.'_place.png') ? '<img src = "http://'.$set['home'].'/images/'.$start.'_place.png">' : '';
								echo '<div class="title">'.$start.'.'.$img.'<a href="http://'.$set['home'].'/out.php?id='.$row['id'].'"><strong>'.$row['name'].'</strong></a> [Хостов: <strong>'.$row['hosts'].'</strong> | Хитов: <strong>'.$row['hits'].'</strong>] <a href="http://'.$set['home'].'/str/infos.php?id='.$row['id'].'"><strong>[!]</strong></a><br/></div>';
								echo '<div class="main">';
								if(mb_strlen($row['about']) > 50)
									{
										$text = substr($row['about'],0,50);
										echo ''.$text.'...<br/>'; 
									}
								else
									{
										echo ''.$row['about'].'<br/>'; 
									}
								echo 'Ушло из Топа: <strong>'.$row['out'].'</strong> | Пришло в Топ: <strong>'.$row['in'].'</strong><br/>';
								echo '</div>';
							}
						navigation($count,$page_sait,$page,'http://'.$set['home'].'/str/cat.php?id='.$id.'&',$total);
					}
				else
					{
						echo '<div class="main">';
						echo 'Сайтов в данной категории нет!<br/>';
						echo '<a href="http://'.$set['home'].'/str/cat.php">К списку категорий</a><br/>';
						echo '</div>';
					}
			}
		else
			{
				echo '<div class="error">';
				echo 'Ошибка!Данной категории не существует!<br/>';
				echo '<a href="http://'.$set['home'].'/str/cat.php">К списку категорий</a><br/>';
				echo '</div>';
			}
		break;
	}

require_once ('foot.php');
?>
